from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class TextAnimationKind(IntEnum):
    NONE = auto()
    BLINK = auto()
    SCROLL = auto()
    ALTERNATE = auto()
    SLIDE = auto()
